GWT 2.7.0

## com.google.web.bindery.requestfactory.server
Class ReportableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.web.bindery.requestfactory.server.ReportableException

All Implemented Interfaces:
  java.io.Serializable

     class ReportableException

extends java.lang.RuntimeException

Encapsulates exceptions that should be thrown back to the client.

Constructor Summary
`ReportableException(java.lang.String msg)`
`ReportableException(java.lang.String msg, java.lang.Throwable cause)`
`ReportableException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReportableException

    public ReportableException(java.lang.String msg)

### ReportableException

    public ReportableException(java.lang.String msg,
                               java.lang.Throwable cause)

### ReportableException

    public ReportableException(java.lang.Throwable cause)

GWT 2.7.0